Internal
Delete an item
DELETE /boards/{boardId}/items/{itemId}
Deleting a comment pin is how a comment is resolved, as in the app.
Authorization
AuthorizationstringheaderrequiredBearer <key>. The key needs boards:write scope. Create and manage keys in the developer console; what each scope unlocks is on the scopes page.
Path parameters
boardIdstringpathrequireditemIdstringpathrequiredResponse
idstringkindenum<string>One of item.create, item.update, item.delete, item.batch, ai.generate, ai.modify or skill.apply.
statusenum<string>One of queued, running, succeeded or failed.
progressintegermessagestringHuman readable progress, for example "Placing kanban".
resultobject | nullChild attributes
itemIdsstring[]updatedstring[]deletedstring[]creditsUsedintegerboardTitlestring | nullskillstring | nullconvertedFromstringsourceDeletedbooleanerrorerrorChild attributes
codeenum<string>requiredOne of unauthorized, forbidden, not_found, validation_failed, conflict, plan_limit, rate_limited or internal.
messagestringrequireddetailsobject[]docsUrlstringupgradeUrlstringcreatedAtstringfinishedAtstring | nullErrors
429
rate_limitedToo many requests.
Was this page helpful?